### Method

# Gtk TextIterends_line

#### Declaration [src]

    gboolean
    gtk_text_iter_ends_line (
      const GtkTextIter* iter
    )

#### Description [src]

Returns `TRUE` if `iter` points to the start of the paragraph delimiter characters for a line.

Delimiters will be either a newline, a carriage return, a carriage return followed by a newline, or a Unicode paragraph separator character.

Note that an iterator pointing to the \n of a \r\n pair will not be counted as the end of a line, the line ends before the \r. The end iterator is considered to be at the end of a line, even though there are no paragraph delimiter chars there.

#### Return value

Type: `gboolean`

Whether `iter` is at the end of a line.